Bug 8966 - Mouse kills keyboard
Mouse kills keyboard
Product: Red Hat Linux
Classification: Retired
Component: gpm (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 2000-01-29 15:13 EST by Alexander Valys
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-03 10:50:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexander Valys 2000-01-29 15:13:39 EST
I have a very simple problem...whenever GPM is running and I move the
mouse, both the mouse and keyboard stop working.  When gpm is not running,
everything is fine (except I can't use the mouse).  This is only in
console mode, I haven't configured X yet.  I am using a Microsoft
Intellimouse PS/2(gpm is started with gpm -t imps2), redhat 6.1, my
computer is a dell 350 with no upgrades other than a 3dfx video card.
Also, I whenever I try to run "XF86Setup" or "setup" the keyboard stops
working, although for the latter I can still alt-ctrl-delete and reboot.
Comment 1 Preston Brown 2000-02-03 10:50:59 EST
I can't duplicate this problem with the gpm from either 6.1 or the forthcoming
6.2 with a Microsoft PS/2 IntelliMouse.  gpm was started with -t imps2.  We have
no other reports of this bug.

Please insure that /dev/mouse is a symlink to /dev/psaux.  It should be set this
way if you are using a PS/2 mouse.
Comment 2 Riley H Williams 2000-02-04 13:50:59 EST
There has been a thread on the Linux-Kernel mailing list recently, in which
Linus himself was a very visible participant, on precicely this subject.

It's not one that I took much notice of, but from what I did read, there is
apparently some sort of race between the PS/2 and USB subsystems on SOME
motherboards that cause exactly the symptoms described to occur.

If such is the case, then the bug in question is very real, and Linus himself is
very actively trying to track it down, but the cause is currently unknown.

Note You need to log in before you can comment on or make changes to this bug.